import { select } from 'd3';
import { viz1 } from './viz1';
import { viz2 } from './viz2';
import { viz3 } from './viz3';

const container1 = select('#viz1').node();
const container2 = select('#viz2').node();
const container3 = select('#viz3').node();

let state1 = {};
let state2 = {};
let state3 = {};

const render1 = () => {
  viz1(container1, {
    state: state1,
    setState: setState1,
  });
};

const render2 = () => {
  viz2(container2, {  // select the container for viz2
    state: state2,
    setState: setState2,
  });
};

const render3 = () => {
  viz3(container3, {  // select the container for viz2
    state: state3,
    setState: setState3,
  });
};

const setState1 = (next) => {
  state1 = next(state1);
  render1();
};

const setState2 = (next) => {
  state2 = next(state2);
  render2();
};

const setState3 = (next) => {
  state3 = next(state3);
  render3();
};

render1();
render2();
render3();